Bug 1129835 - Capsules cannot sync - errors thrown by goferd
Summary: Capsules cannot sync - errors thrown by goferd
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Capsule
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
urgent
high vote
Target Milestone: Unspecified
Assignee: Justin Sherrill
QA Contact: Corey Welton
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 18:44 UTC by Corey Welton
Modified: 2019-09-25 20:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:24:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 7115 None None None 2016-04-22 16:02:21 UTC

Description Corey Welton 2014-08-13 18:44:41 UTC
Description of problem:
When trying to sync content to a capsule, errors are immediately thrown in /var/log/messages on capsule side

Version-Release number of selected component (if applicable):
Satellite-6.0.4-RHEL-6-20140806.0

How reproducible:
Every time?

Steps to Reproduce:
1.  Create and register capsule to sat6 instance
2.  # hammer --username admin --password changeme capsule content synchronize --id 2
3.

Actual results:

On sat:

[....................................................................................................................................................] [100%]
Task 8502b5a6-9266-455b-b843-ad582fe3ff11: success


However, seen immediately in pulp logs on capsule upon triggering sync command:

Aug 13 14:14:39 qeblade6 goferd: [INFO][worker-0] gofer.rmi.dispatcher:612 - call: Content.update() sn=641374d8-cb71-4c71-8948-37c86d586d3e info={'task_id': 'eb85f556-c2bf-4dcd-b042-a81356416b23', 'consumer_id': '6bfba060-afeb-47e0-bbf1-bf83469834b9'}
Aug 13 14:14:39 qeblade6 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:112 - handler failed
Aug 13 14:14:39 qeblade6 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:112 - Traceback (most recent call last): File "/usr/lib/python2.6/site-packages/pulp/agent/lib/dispatcher.py", line 108, in update report = handler.update(conduit, units, dict(options)) File "/usr/lib/python2.6/site-packages/pulp_node/handlers/handler.py", line 89, in update pulp_bindings = parent_bindings(options) File "/usr/lib/python2.6/site-packages/pulp_node/handlers/handler.py", line 44, in parent_bindings return resources.parent_bindings(host, port) File "/usr/lib/python2.6/site-packages/pulp_node/resources.py", line 57, in parent_bindings node_conf = node_configuration() File "/usr/lib/python2.6/site-packages/pulp_node/resources.py", line 43, in node_configuration cfg.validate(NODE_SCHEMA) File "/usr/lib/python2.6/site-packages/pulp/common/config.py", line 296, in validate return v.validate(self) File "/usr/lib/python2.6/site-packages/pulp/common/config.py", line 360, in validate s.validate(section) File "/usr/lib/python2.6/site-packages/pulp/common/config.py", line 476, in validate self.validproperty(section, property) File "/usr/lib/python2.6/site-packages/pulp/common/config.py", line 494, in validproperty raise pe PropertyNotFound: Required property "main.ca_path", not found
Aug 13 14:14:39 qeblade6 goferd: [INFO][worker-0] gofer.agent.rmi:149 - sn=641374d8-cb71-4c71-8948-37c86d586d3e processed in: 30 (ms)


Expected results:
Sync works.


Additional info:
We probably shouldn't be returning a success message, but that is/should be a different bz.

Comment 2 Justin Sherrill 2014-08-13 19:22:52 UTC
Note, the following needs to be added to  /etc/pulp/nodes.conf:

ca_path: /etc/rhsm/ca/candlepin-local.pem
verify_ssl = True

under the [main] section.  So it would look something like:


[main]
node_certificate: /etc/pki/pulp/nodes/node.crt
ca_path: /etc/rhsm/ca/candlepin-local.pem
verify_ssl = True

Comment 3 Justin Sherrill 2014-08-15 19:19:50 UTC
Created redmine issue http://projects.theforeman.org/issues/7115 from this bug

Comment 4 Justin Sherrill 2014-08-19 13:13:00 UTC
merged upstream in 

https://github.com/Katello/katello-installer/pull/94/

Comment 6 Corey Welton 2014-08-25 20:57:09 UTC
Verified in Satellite-6.0.4-RHEL-6-20140823.0

Comment 7 Bryan Kearney 2014-09-11 12:24:28 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.